> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cognigy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get large language models

> Gets [large language models](https://docs.cognigy.com/ai/agents/develop/gen-ai-and-llms/llms) in a Project. By default, 25 large language models are returned. To change this value, use the `limit` query parameter. Additionally, you can filter, sort, and paginate the results.



## OpenAPI

````yaml https://api-trial.cognigy.ai/openapi/openapi-viewer.json get /v2.0/largelanguagemodels
openapi: 3.0.0
info:
  title: Cognigy.AI REST-ful-API Reference
  version: 2026.10.0
  description: >

    ### Introduction

    This is the [OpenAPI 3.0](https://swagger.io/specification/) documentation
    of the
    [REST](https://en.wikipedia.org/wiki/Representational_state_transfer)-ful
    Cognigy.AI API.


    ### Cross-Origin Resource Sharing

    This API features Cross-Origin Resource Sharing (CORS) implemented in
    compliance with [W3C spec](https://www.w3.org/TR/cors/), which allows
    cross-domain communication from the browser. All responses include a
    wildcard same-origin header, making the API fully accessible.


    ### Authentication

    Cognigy.AI offers four forms of authentication:

    - API Key

    - CXone Token

    - OAuth2

    - BasicAuth


    An API Key is a security token. You can use API Keys in your path or HTTP
    header. Never expose your API Key and keep it safe and secure. Revoke the
    API Key if it got exposed or stolen.


    OAuth2 is an open protocol to allow secure authorization by web, mobile and
    desktop applications. For further information see [RFC 6749 - "The OAuth 2.0
    Authorization Framework"](https://tools.ietf.org/html/rfc6749) and [RFC 6750
    - "The OAuth 2.0 Authorization Framework: Bearer Token
    Usage"](https://tools.ietf.org/html/rfc6750).


    Basic Auth is only used for API calls regarding the Management-UI.


    ### Error Handling

    This API uses HTTP status codes equal or above 400 to indicate errors. Error
    details are generated in compliance with [RFC 7807 - "Problem Details for
    HTTP APIs"](https://tools.ietf.org/html/rfc7807).


    Every error response contains a traceId, which should be provided to the
    Cognigy.AI Technical Support when reporting an error.
  contact:
    name: Cognigy Technical Support
    url: https://www.cognigy.com
    email: support@cognigy.com
servers:
  - url: https://api-trial.cognigy.ai/new/
    description: Cognigy.AI API
security:
  - APIKeyHeader: []
  - APIKeyQueryParam: []
  - CXoneTokenHeader: []
  - OAuth2: []
  - BasicAuth: []
tags:
  - name: Cognigy.AI REST-ful API
    description: The Cognigy.AI REST-ful API
externalDocs:
  description: Cognigy.AI Documentation
  url: https://docs.cognigy.com/docs/
paths:
  /v2.0/largelanguagemodels:
    get:
      tags:
        - Large Language Models
      summary: Get large language models
      description: >-
        Gets [large language
        models](https://docs.cognigy.com/ai/agents/develop/gen-ai-and-llms/llms)
        in a Project. By default, 25 large language models are returned. To
        change this value, use the `limit` query parameter. Additionally, you
        can filter, sort, and paginate the results.
      operationId: indexLargeLanguageModels_2_0
      parameters:
        - in: header
          name: Accept
          description: >-
            The `Accept` header specifies the media type that the client expects
            in the response. Available options: `application/json`,
            `application/hal+json`, `application/xml`, `text/xml`, `text/csv`.
            The default value is `application/json`.
          required: false
          schema:
            type: string
            enum:
              - application/json
              - application/hal+json
              - application/xml
              - text/xml
              - text/csv
          example: application/json
        - in: query
          name: projectId
          description: The unique identifier for the Project.
          required: false
          schema:
            type: string
            pattern: ^[a-z0-9]{24}$
            minLength: 24
            maxLength: 24
        - in: query
          name: filter
          required: false
          schema:
            type: string
          description: Filter records by specific field eg:name.
        - in: query
          name: limit
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
          description: >-
            The maximum number of items to return. Use this parameter to control
            page size. The default value is 25, and the maximum permitted value
            is 100.
        - in: query
          name: skip
          required: false
          schema:
            type: integer
            minimum: 0
          description: >-
            The number of items to skip before returning the results. Use this
            parameter with `limit` for offset-based pagination. The default
            value is 0.
        - in: query
          name: sort
          required: false
          schema:
            type: string
            minLength: 1
          description: >-
            The order in which results are returned. Set a sorting rule in the
            format `field:direction`, where direction can be `asc` for ascending
            order or `desc` for descending order. For example, `name:asc` sorts
            by name in ascending order.
        - in: query
          name: next
          required: false
          schema:
            type: string
            minLength: 24
            maxLength: 24
          description: >-
            The cursor that points to the next page of results. Use the
            `nextCursor` value returned in a previous response to request the
            next set of items.
        - in: query
          name: previous
          required: false
          schema:
            type: string
            minLength: 24
            maxLength: 24
          description: >-
            The cursor that points to the previous page of results. Use the
            `previousCursor` value returned in a previous response to request
            the previous set of items.
        - in: query
          name: resourceLevel
          description: Scope of the resource (global "organisation" or project).
          required: false
          schema:
            type: string
            enum:
              - organisation
              - project
            description: General scope of the resource.
            default: project
      responses:
        '200':
          description: Returns array of large language model metadata objects.
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      oneOf:
                        - type: object
                          required:
                            - name
                            - modelType
                            - provider
                            - connectionId
                          properties:
                            name:
                              type: string
                              example: Large language model for customer service
                            description:
                              type: string
                              example: >-
                                Large language model for customer-facing AI
                                Agents.
                            modelType:
                              type: string
                              enum:
                                - gpt-3.5-turbo
                                - gpt-3.5-turbo-instruct
                                - gpt-4
                                - gpt-4o
                                - gpt-4o-mini
                                - gpt-4.1
                                - gpt-4.1-mini
                                - gpt-4.1-nano
                                - gpt-5
                                - gpt-5-nano
                                - gpt-5-mini
                                - gpt-5.4-mini
                                - gpt-5.4-nano
                                - gpt-5-chat-latest
                                - gpt-5.1
                                - gpt-5.2
                                - gpt-5.4
                                - gpt-5.5
                                - text-embedding-ada-002
                                - luminous-extended-control
                                - luminous-embedding-128
                                - Pharia-1-Embedding-4608
                                - gemini-embedding-001
                                - claude-3-opus-20240229
                                - claude-sonnet-4-6
                                - custom-model
                                - custom-embedding-model
                                - gemini-2.0-flash
                                - gemini-2.0-flash-lite
                                - gemini-2.5-pro
                                - gemini-2.5-flash
                                - gemini-2.5-flash-lite
                                - gemini-3.1-pro-preview
                                - gemini-3-flash-preview
                                - gemini-3.1-flash-lite-preview
                                - mistral-large-2411
                                - mistral-small-2503
                                - pixtral-large-2411
                                - pixtral-12b-2409
                            modelGroup:
                              type: string
                              enum:
                                - chat
                                - completion
                                - embedding
                            apiType:
                              type: string
                              enum:
                                - chatCompletion
                                - responses
                              description: >-
                                The API type for chat models. Defaults to
                                chatCompletion when not specified. The responses
                                API is only supported for OpenAI, Azure OpenAI,
                                and OpenAI Compatible providers.
                            isCustomModel:
                              type: boolean
                              example: true
                            provider:
                              type: string
                              enum:
                                - azureOpenAI
                                - openAI
                                - anthropic
                                - googleVertexAI
                                - googleGemini
                                - googleGenAI
                                - alephAlpha
                                - awsBedrock
                                - mistral
                            connectionId:
                              type: string
                              format: uuid
                              minLength: 36
                              maxLength: 36
                              description: >-
                                The identifier for the large language model
                                connection.
                            openAI:
                              type: object
                              description: Metadata for OpenAI large language models.
                              properties:
                                customModel:
                                  type: string
                                  example: gpt-4-32k-0613
                                  description: The custom model name.
                            anthropic:
                              type: object
                              description: Metadata for Anthropic large language models.
                              properties:
                                customModel:
                                  type: string
                                  example: claude-opus-4-0
                                  description: The custom model name.
                            azureOpenAI:
                              type: object
                              description: Metadata for Azure OpenAI large language models.
                              properties:
                                resourceName:
                                  type: string
                                  description: >-
                                    The Azure OpenAI resource name. For more
                                    information, read the [Microsoft Azure
                                    OpenAI
                                    resource](https://learn.microsoft.com/en-us/azure/cognitive-services/openai/how-to/create-resource?pivots=web-portal#create-a-resource)
                                    documentation.
                                deploymentName:
                                  type: string
                                  description: >-
                                    The model deployment name. For more
                                    information, read the [Microsoft Azure
                                    OpenAI
                                    resource](https://learn.microsoft.com/en-us/azure/cognitive-services/openai/how-to/create-resource?pivots=web-portal#deploy-a-model)
                                    documentation.
                                apiVersion:
                                  type: string
                                  description: >-
                                    The API version in `YYYY-MM-DD` format (for
                                    example, `YYYY-MM-DD-preview`). For more
                                    information, read the [Microsoft Azure
                                    OpenAI REST API
                                    versioning](https://learn.microsoft.com/en-us/azure/cognitive-services/openai/reference#rest-api-versioning)
                                    documentation.
                                baseCustomUrl:
                                  type: string
                                  description: >-
                                    The custom URL to route connections  between
                                    your clusters and Microsoft Azure OpenAI
                                    through a dedicated proxy for enhanced
                                    security. When set, `resourceName`,
                                    `deploymentName`, and `apiVersion` are
                                    ignored. For API key connections on 2025.20
                                    and earlier use
                                    `https://<resource-name>.openai.azure.com/openai/deployments/<deployment-name>/<model-type>?api-version=<api-version>`.
                                  example:
                                    - >-
                                      https://<resourceName>.openai.azure.com/openai/deployments/<deploymentName>/chat/completions?api-version=<apiVersion>
                                    - >-
                                      https://<resourceName>.openai.azure.com/openai/deployments/<deploymentName>/completions?api-version=<apiVersion>
                                    - >-
                                      https://<resourceName>.openai.azure.com/openai/deployments/<deploymentName>/embeddings?api-version=<apiVersion>
                            googleVertexAI:
                              type: object
                              description: >-
                                Metadata for Google Vertex AI large language
                                models.
                              properties:
                                location:
                                  type: string
                                apiEndpoint:
                                  type: string
                                publisher:
                                  type: string
                            googleGemini:
                              type: object
                              description: >-
                                Metadata for Google Gemini large language
                                models.
                              properties:
                                location:
                                  type: string
                            googleGenAI:
                              type: object
                              description: Google GenAI specific meta data
                              properties:
                                location:
                                  type: string
                            alephAlpha:
                              type: object
                              description: Metadata for Aleph Alpha large language models.
                              properties:
                                customModel:
                                  type: string
                                  example: luminous-003
                                  description: The custom model name.
                                baseCustomUrl:
                                  type: string
                                  example: https://api.aleph-alpha.com
                            openAICompatible:
                              type: object
                              description: >-
                                Metadata for OpenAI-compatible large language
                                models.
                              properties:
                                customModel:
                                  type: string
                                  example: luminous-003
                                  description: The custom model name.
                                baseCustomUrl:
                                  type: string
                                  example: >-
                                    https://own-llm-deployment.company.com/openai/v1
                                customAuthHeader:
                                  type: string
                                  example: Ocp-Apim-Subscription-Key
                                  description: >-
                                    The API key will be sent via this http
                                    header if specified.
                            resourceLevel:
                              type: string
                              enum:
                                - project
                              description: Scope for project-level resources.
                            isDefault:
                              type: boolean
                              description: >-
                                If set to `true`, the large language model is
                                used as the default large language model when no
                                other large language model is set.
                              example: false
                            fallbacks:
                              type: array
                              description: >-
                                (Alpha) The list of fallback large language
                                models used when the primary large language
                                model stops working.
                              items:
                                type: object
                                properties:
                                  isFallbackEnabled:
                                    type: boolean
                                    description: >-
                                      If set to `true`, activates large language
                                      model fallback.
                                  fallbackLLMReferenceId:
                                    type: string
                                    format: uuid
                                    minLength: 36
                                    maxLength: 36
                                    description: >-
                                      The identifier for the fallback large
                                      language model.
                                  immediateFallBack:
                                    type: object
                                    properties:
                                      failedRequests:
                                        type: number
                                        description: >-
                                          The number of failed requests until the
                                          fallback large language model is used
                                          instead of the primary large language
                                          model.
                                      durationInMinutes:
                                        type: number
                                        description: >-
                                          The duration in minutes for which the
                                          fallback large language model is used
                                          instead of the primary large language
                                          model.
                                      emailNotificationList:
                                        type: array
                                        items:
                                          type: string
                                        description: >-
                                          The list of email addresses to notify
                                          when the large language model fallback
                                          is triggered.
                                description: Large language model fallback configuration.
                            referenceId:
                              type: string
                              description: The reference ID of the large language model.
                              format: uuid
                            _id:
                              type: string
                              pattern: ^[a-z0-9]{24}$
                              minLength: 24
                              maxLength: 24
                            createdAt:
                              type: integer
                              description: Unix-timestamp
                              example: 1694518620
                              minimum: 0
                              maximum: 2147483647
                            lastChanged:
                              type: integer
                              description: Unix-timestamp
                              example: 1694518620
                              minimum: 0
                              maximum: 2147483647
                            createdBy:
                              type: string
                              pattern: ^[a-z0-9]{24}$
                              minLength: 24
                              maxLength: 24
                            lastChangedBy:
                              type: string
                              pattern: ^[a-z0-9]{24}$
                              minLength: 24
                              maxLength: 24
                          description: >
                            The IEntityMeta defines meta information every
                            entity within the system has. These are dates when a
                            resource was created and modified as well as
                            information about the user who initially created a
                            resource and who modified it the last time.
                        - type: object
                          required:
                            - name
                            - modelType
                            - provider
                            - connectionId
                            - resourceLevel
                          properties:
                            name:
                              type: string
                              example: Large language model for customer service
                            description:
                              type: string
                              example: >-
                                Large language model for customer-facing AI
                                Agents.
                            modelType:
                              type: string
                              enum:
                                - gpt-3.5-turbo
                                - gpt-3.5-turbo-instruct
                                - gpt-4
                                - gpt-4o
                                - gpt-4o-mini
                                - gpt-4.1
                                - gpt-4.1-mini
                                - gpt-4.1-nano
                                - gpt-5
                                - gpt-5-nano
                                - gpt-5-mini
                                - gpt-5.4-mini
                                - gpt-5.4-nano
                                - gpt-5-chat-latest
                                - gpt-5.1
                                - gpt-5.2
                                - gpt-5.4
                                - gpt-5.5
                                - text-embedding-ada-002
                                - luminous-extended-control
                                - luminous-embedding-128
                                - Pharia-1-Embedding-4608
                                - gemini-embedding-001
                                - claude-3-opus-20240229
                                - claude-sonnet-4-6
                                - custom-model
                                - custom-embedding-model
                                - gemini-2.0-flash
                                - gemini-2.0-flash-lite
                                - gemini-2.5-pro
                                - gemini-2.5-flash
                                - gemini-2.5-flash-lite
                                - gemini-3.1-pro-preview
                                - gemini-3-flash-preview
                                - gemini-3.1-flash-lite-preview
                                - mistral-large-2411
                                - mistral-small-2503
                                - pixtral-large-2411
                                - pixtral-12b-2409
                            modelGroup:
                              type: string
                              enum:
                                - chat
                                - completion
                                - embedding
                            apiType:
                              type: string
                              enum:
                                - chatCompletion
                                - responses
                              description: >-
                                The API type for chat models. Defaults to
                                chatCompletion when not specified. The responses
                                API is only supported for OpenAI, Azure OpenAI,
                                and OpenAI Compatible providers.
                            isCustomModel:
                              type: boolean
                              example: true
                            provider:
                              type: string
                              enum:
                                - azureOpenAI
                                - openAI
                                - anthropic
                                - googleVertexAI
                                - googleGemini
                                - googleGenAI
                                - alephAlpha
                                - awsBedrock
                                - mistral
                            connectionId:
                              type: string
                              format: uuid
                              minLength: 36
                              maxLength: 36
                              description: >-
                                The identifier for the large language model
                                connection.
                            openAI:
                              type: object
                              description: Metadata for OpenAI large language models.
                              properties:
                                customModel:
                                  type: string
                                  example: gpt-4-32k-0613
                                  description: The custom model name.
                            anthropic:
                              type: object
                              description: Metadata for Anthropic large language models.
                              properties:
                                customModel:
                                  type: string
                                  example: claude-opus-4-0
                                  description: The custom model name.
                            azureOpenAI:
                              type: object
                              description: Metadata for Azure OpenAI large language models.
                              properties:
                                resourceName:
                                  type: string
                                  description: >-
                                    The Azure OpenAI resource name. For more
                                    information, read the [Microsoft Azure
                                    OpenAI
                                    resource](https://learn.microsoft.com/en-us/azure/cognitive-services/openai/how-to/create-resource?pivots=web-portal#create-a-resource)
                                    documentation.
                                deploymentName:
                                  type: string
                                  description: >-
                                    The model deployment name. For more
                                    information, read the [Microsoft Azure
                                    OpenAI
                                    resource](https://learn.microsoft.com/en-us/azure/cognitive-services/openai/how-to/create-resource?pivots=web-portal#deploy-a-model)
                                    documentation.
                                apiVersion:
                                  type: string
                                  description: >-
                                    The API version in `YYYY-MM-DD` format (for
                                    example, `YYYY-MM-DD-preview`). For more
                                    information, read the [Microsoft Azure
                                    OpenAI REST API
                                    versioning](https://learn.microsoft.com/en-us/azure/cognitive-services/openai/reference#rest-api-versioning)
                                    documentation.
                                baseCustomUrl:
                                  type: string
                                  description: >-
                                    The custom URL to route connections  between
                                    your clusters and Microsoft Azure OpenAI
                                    through a dedicated proxy for enhanced
                                    security. When set, `resourceName`,
                                    `deploymentName`, and `apiVersion` are
                                    ignored. For API key connections on 2025.20
                                    and earlier use
                                    `https://<resource-name>.openai.azure.com/openai/deployments/<deployment-name>/<model-type>?api-version=<api-version>`.
                                  example:
                                    - >-
                                      https://<resourceName>.openai.azure.com/openai/deployments/<deploymentName>/chat/completions?api-version=<apiVersion>
                                    - >-
                                      https://<resourceName>.openai.azure.com/openai/deployments/<deploymentName>/completions?api-version=<apiVersion>
                                    - >-
                                      https://<resourceName>.openai.azure.com/openai/deployments/<deploymentName>/embeddings?api-version=<apiVersion>
                            googleVertexAI:
                              type: object
                              description: >-
                                Metadata for Google Vertex AI large language
                                models.
                              properties:
                                location:
                                  type: string
                                apiEndpoint:
                                  type: string
                                publisher:
                                  type: string
                            googleGemini:
                              type: object
                              description: >-
                                Metadata for Google Gemini large language
                                models.
                              properties:
                                location:
                                  type: string
                            googleGenAI:
                              type: object
                              description: Google GenAI specific meta data
                              properties:
                                location:
                                  type: string
                            alephAlpha:
                              type: object
                              description: Metadata for Aleph Alpha large language models.
                              properties:
                                customModel:
                                  type: string
                                  example: luminous-003
                                  description: The custom model name.
                                baseCustomUrl:
                                  type: string
                                  example: https://api.aleph-alpha.com
                            openAICompatible:
                              type: object
                              description: >-
                                Metadata for OpenAI-compatible large language
                                models.
                              properties:
                                customModel:
                                  type: string
                                  example: luminous-003
                                  description: The custom model name.
                                baseCustomUrl:
                                  type: string
                                  example: >-
                                    https://own-llm-deployment.company.com/openai/v1
                                customAuthHeader:
                                  type: string
                                  example: Ocp-Apim-Subscription-Key
                                  description: >-
                                    The API key will be sent via this http
                                    header if specified.
                            resourceLevel:
                              type: string
                              enum:
                                - organisation
                              description: Scope for globally scoped resources.
                            assignedToProjects:
                              type: array
                              items:
                                type: string
                                description: MongoDB ObjectId representing a project
                              example:
                                - 68edf5dd4c931f68d31111
                                - 690b02fc100e454245adde111
                                - 68e6eda61ff68d2111
                            referenceId:
                              type: string
                              description: The reference ID of the large language model.
                              format: uuid
                            _id:
                              type: string
                              pattern: ^[a-z0-9]{24}$
                              minLength: 24
                              maxLength: 24
                            createdAt:
                              type: integer
                              description: Unix-timestamp
                              example: 1694518620
                              minimum: 0
                              maximum: 2147483647
                            lastChanged:
                              type: integer
                              description: Unix-timestamp
                              example: 1694518620
                              minimum: 0
                              maximum: 2147483647
                            createdBy:
                              type: string
                              pattern: ^[a-z0-9]{24}$
                              minLength: 24
                              maxLength: 24
                            lastChangedBy:
                              type: string
                              pattern: ^[a-z0-9]{24}$
                              minLength: 24
                              maxLength: 24
                          description: >
                            The IEntityMeta defines meta information every
                            entity within the system has. These are dates when a
                            resource was created and modified as well as
                            information about the user who initially created a
                            resource and who modified it the last time.
                  total:
                    type: integer
                    example: 1
                  nextCursor:
                    nullable: true
                    type: string
                    pattern: ^[a-z0-9]{24}$
                    minLength: 24
                    maxLength: 24
                  previousCursor:
                    nullable: true
                    type: string
                    pattern: ^[a-z0-9]{24}$
                    minLength: 24
                    maxLength: 24
        '400':
          description: >-
            The server cannot or will not process the request due to something
            that is perceived to be a client error (e.g., malformed request
            syntax, invalid request message framing, or deceptive request
            routing)
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: Bad Request
                  title:
                    type: string
                    example: Bad Request Error
                  status:
                    type: number
                    example: 400
                  detail:
                    type: string
                    example: Validation failed. Missing payload.
                  instance:
                    type: string
                    example: /v2.0/flows/5ce7c2d833ea1e04d7e6c432
                  code:
                    type: string
                    example: 1000
                  traceId:
                    type: string
                    example: api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f
                  details:
                    type: object
                    example: {}
        '401':
          description: >-
            The request has not been applied because it lacks valid
            authentication credentials for the target resource.
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: Unauthorized
                  title:
                    type: string
                    example: Unauthorized Error
                  status:
                    type: number
                    example: 401
                  detail:
                    type: string
                  instance:
                    type: string
                    example: /v2.0/flows/5ce7c2d833ea1e04d7e6c432
                  code:
                    type: string
                    example: 401
                  traceId:
                    type: string
                    example: api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f
                  details:
                    type: object
                    example: {}
        '402':
          description: Upgrade your Plan to increase your Quota.
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: Payment Required
                  title:
                    type: string
                    example: Payment Required Error
                  status:
                    type: number
                    example: 402
                  detail:
                    type: string
                    example: Validation failed. Missing payload.
                  instance:
                    type: string
                    example: /v2.0/flows/5ce7c2d833ea1e04d7e6c432
                  code:
                    type: string
                    example: 402
                  traceId:
                    type: string
                    example: api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f
                  details:
                    type: object
                    example: {}
        '403':
          description: The server understood the request but refuses to authorize it.
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: Forbidden
                  title:
                    type: string
                    example: Forbidden Error
                  status:
                    type: number
                    example: 403
                  detail:
                    type: string
                  instance:
                    type: string
                    example: /v2.0/flows/5ce7c2d833ea1e04d7e6c432
                  code:
                    type: string
                    example: 1000
                  traceId:
                    type: string
                    example: api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f
                  details:
                    type: object
                    example: {}
        '404':
          description: >-
            The origin server did not find a current representation for the
            target resource or is not willing to disclose that one exists.
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: Not Found
                  title:
                    type: string
                    example: Not Found Error
                  status:
                    type: number
                    example: 404
                  detail:
                    type: string
                  instance:
                    type: string
                    example: /v2.0/flows/5ce7c2d833ea1e04d7e6c432
                  code:
                    type: string
                    example: 1000
                  traceId:
                    type: string
                    example: api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f
                  details:
                    type: object
                    example: {}
                  logLevel:
                    type: string
                    example: error
        '405':
          description: >-
            The method received in the request-line is known by the origin
            server but not supported by the target resource.
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: Method Not Allowed
                  title:
                    type: string
                    example: Method Not Allowed Error
                  status:
                    type: number
                    example: 405
                  detail:
                    type: string
                  instance:
                    type: string
                    example: /v2.0/flows/5ce7c2d833ea1e04d7e6c432
                  code:
                    type: string
                    example: 1000
                  traceId:
                    type: string
                    example: api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f
                  details:
                    type: object
                    example: {}
        '409':
          description: The request conflicts with current state of the server.
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: Conflict
                  title:
                    type: string
                    example: Conflict Error
                  status:
                    type: number
                    example: 409
                  detail:
                    type: string
                  instance:
                    type: string
                    example: /v2.0/flows/5ce7c2d833ea1e04d7e6c432
                  code:
                    type: string
                    example: 1004
                  traceId:
                    type: string
                    example: api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f
                  details:
                    type: object
                    example: {}
        '413':
          description: The request entity is larger than limits defined by server.
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: Payload Too Large
                  title:
                    type: string
                    example: Payload Too Large Error
                  status:
                    type: number
                    example: 413
                  detail:
                    type: string
                  instance:
                    type: string
                    example: /v2.0/flows/5ce7c2d833ea1e04d7e6c432
                  code:
                    type: string
                    example: 1000
                  traceId:
                    type: string
                    example: api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f
                  details:
                    type: object
                    example: {}
        '500':
          description: >-
            The server encountered an unexpected condition that prevented it
            from fulfilling the request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: Internal Server Error
                  title:
                    type: string
                    example: Internal Server Error
                  status:
                    type: number
                    example: 500
                  detail:
                    type: string
                  instance:
                    type: string
                    example: /v2.0/flows/5ce7c2d833ea1e04d7e6c432
                  code:
                    type: string
                    example: 1000
                  traceId:
                    type: string
                    example: api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f
                  details:
                    type: object
                    example: {}
        '501':
          description: >-
            The server does not support the functionality required to fulfill
            the request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: Not Implemented
                  title:
                    type: string
                    example: Not Implemented Error
                  status:
                    type: number
                    example: 501
                  detail:
                    type: string
                  instance:
                    type: string
                    example: /v2.0/flows/5ce7c2d833ea1e04d7e6c432
                  code:
                    type: string
                    example: 1009
                  traceId:
                    type: string
                    example: api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f
                  details:
                    type: object
                    example: {}
        '502':
          description: >-
            The server, while acting as a gateway or proxy, received an invalid
            response from an inbound server it accessed while attempting to
            fulfill the request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: Bad Gateway
                  title:
                    type: string
                    example: Bad Gateway Error
                  status:
                    type: number
                    example: 502
                  detail:
                    type: string
                  instance:
                    type: string
                    example: /v2.0/flows/5ce7c2d833ea1e04d7e6c432
                  code:
                    type: string
                    example: 1000
                  traceId:
                    type: string
                    example: api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f
                  details:
                    type: object
                    example: {}
        '503':
          description: The server is not ready to handle the request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: Service Unavailable
                  title:
                    type: string
                    example: Service Unavailable Error
                  status:
                    type: number
                    example: 503
                  detail:
                    type: string
                  instance:
                    type: string
                    example: /v2.0/flows/5ce7c2d833ea1e04d7e6c432
                  code:
                    type: string
                    example: 503
                  traceId:
                    type: string
                    example: api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f
                  details:
                    type: object
                    example: {}
        '504':
          description: >-
            The server, while acting as a gateway or proxy, did not receive a
            timely response from an upstream server it needed to access in order
            to complete the request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: Gateway Timeout
                  title:
                    type: string
                    example: Gateway Timeout Error
                  status:
                    type: number
                    example: 504
                  detail:
                    type: string
                  instance:
                    type: string
                    example: /v2.0/flows/5ce7c2d833ea1e04d7e6c432
                  code:
                    type: string
                    example: 1000
                  traceId:
                    type: string
                    example: api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f
                  details:
                    type: object
                    example: {}
      security:
        - APIKeyHeader: []
        - APIKeyQueryParam: []
        - CXoneTokenHeader: []
        - OAuth2: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: Supply the API Key in the HTTP-Header
    APIKeyQueryParam:
      type: apiKey
      in: query
      name: api_key
      description: Supply the API Key in the Url-Query
    CXoneTokenHeader:
      type: apiKey
      in: header
      name: x-cxone-authorization
      description: >-
        Supply the CXone Token in the HTTP-Header containing the word "Bearer"
        followed by a space and a Token String. Applicable only in CXone
        integrated environments.
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /auth/oauth2/token
          refreshUrl: /auth/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: /auth/oauth2/authorize
          tokenUrl: /auth/oauth2/token
          scopes: {}
    BasicAuth:
      type: http
      scheme: basic
      description: Basic Authentication used by routes designed for the Management-UI.

````